package MechinaAdminClient {
	function LobbyPlayerPopup::onSelect( %this, %id, %text ){
		switch( %id ) {
			case 1: togglePlayerMute(%this.player.clientId);
			case 2: MessageBoxYesNo( "CONFIRM", "Are you sure you want to make " @ %this.player.name @ " an admin?", "lobbyPlayerVote( VoteAdminPlayer, \"ADMIN player\", " @ %this.player.clientId @ " );" );
			case 3: MessageBoxYesNo( "CONFIRM", "Are you sure you want to kick " @ %this.player.name @ "?", "lobbyPlayerVote( VoteKickPlayer, \"KICK player\", " @ %this.player.clientId @ " );" );
			case 4: MessageBoxYesNo( "CONFIRM", "Are you sure you want to ban " @ %this.player.name @ "?", "lobbyPlayerVote( BanPlayer, \"BAN player\", " @ %this.player.clientId @ " );" );
			case 5: forceToObserver(%this.player.clientId);
			case 6: changePlayersTeam(%this.player.clientId, 1);
			case 7: changePlayersTeam(%this.player.clientId, 2);
			case 8: adminAddPlayerToGame(%this.player.clientId);
			case 9: togglePlayerVoiceCom( %this.player );
			case 10: confirmAdminListAdd( %this.player, false );
			case 11: confirmAdminListAdd( %this.player, true );
			case 12: togglePlayerGag(%this.player.clientId);
			case 13: togglePlayerFreeze(%this.player.clientId);	
			case 14: bootToTheRear(%this.player.clientId);
			case 15: explodePlayer(%this.player.clientId); }
		Canvas.popDialog( LobbyPlayerActionDlg ); }
	function togglePlayerGag(%client) {
		commandToServer( 'togglePlayerGag', %client ); }
	function togglePlayerFreeze(%client) {
		commandToServer( 'togglePlayerFreeze', %client ); }
	function bootToTheRear(%client) {
		commandToServer( 'bootToTheRear', %client ); }
	function explodePlayer(%client) {
		commandToServer( 'explodePlayer', %client ); }
	function DefaultGame::sendGamePlayerPopupMenu( %game, %client, %targetClient, %key ) {
		if( ! %targetClient.matchStartReady ) return;
		%isAdmin = ( %client.isAdmin || %client.isSuperAdmin );
		%isTargetSelf = ( %client == %targetClient );
		%isTargetAdmin = ( %targetClient.isAdmin || %targetClient.isSuperAdmin );
		%isTargetBot = %targetClient.isAIControlled();
		%isTargetObserver = ( %targetClient.team == 0 );
		%outrankTarget = false;
		if($Mechina::CheckForAdminPresent) %adminIsPresent = getAdmin();
		if ( %client.isSuperAdmin ) %outrankTarget = !%targetClient.isSuperAdmin;
		else if ( %client.isAdmin ) %outrankTarget = !%targetClient.isAdmin;
		if( %client.isSuperAdmin && %targetClient.guid != 0 && !isDemo() && !isDemoServer()) {
			messageClient( %client, 'MsgPlayerPopupItem', "", %key, "addAdmin", "", 'Add to Server Admin List', 10);
     		messageClient( %client, 'MsgPlayerPopupItem', "", %key, "addSuperAdmin", "", 'Add to Server SuperAdmin List', 11); }
     	if ( !%isTargetSelf ) {
     		if ( %client.muted[%targetClient] ) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "MutePlayer", "", 'Unmute Text Chat', 1);
     		else messageClient( %client, 'MsgPlayerPopupItem', "", %key, "MutePlayer", "", 'Mute Text Chat', 1);
     		if ( !%isTargetBot && %client.canListenTo( %targetClient ) ) {
     			if ( %client.getListenState( %targetClient ) ) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ListenPlayer", "", 'Disable Voice Com', 9 );
     			else messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ListenPlayer", "", 'Enable Voice Com', 9 ); } }
     	if( !%client.canVote && !%isAdmin ) return;
     	if ( %game.scheduleVote $= "" && !%isAdmin && !%isTargetAdmin ) {
			if ( $Host::allowAdminPlayerVotes && !%isTargetBot && !isDemo() && !isDemoServer()) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "AdminPlayer", "", 'Vote to Make Admin', 2 );
			if ( $Mechina::ClientCanVoteKick && !%isTargetSelf ) {
				if ( %adminIsPresent ) {
					if( $Mechina::ClientCanVoteKickWhenAdminPresent ) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "KickPlayer", "", 'Vote to Kick', 3 ); }
					else messageClient( %client, 'MsgPlayerPopupItem', "", %key, "KickPlayer", "", 'Vote to Kick', 3 ); } }
		else if ( %isAdmin && !isDemo() && !isDemoServer()) {
			if ( !%isTargetBot && !%isTargetAdmin ) {
				if( %client.isSuperAdmin ) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "AdminPlayer", "", 'Make Admin', 2 );
				else if( $Mechina::PACanAdmin && !%client.isSuperAdmin) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "AdminPlayer", "", 'Make Admin', 2 ); }
			if ( !%isTargetSelf && %outrankTarget ) {
				if( %client.isSuperAdmin ) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "KickPlayer", "", 'Kick', 3 );
				else if( $Mechina::PACanKick && !%client.isSuperAdmin) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "KickPlayer", "", 'Kick', 3 );
					if( %client.isSuperAdmin && !%targetClient.isSuperAdmin ) {
						if ( %targetClient.isGagged ) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "UnGagPlayer", "", 'UnGag Player', 12);
						else messageClient( %client, 'MsgPlayerPopupItem', "", %key, "GagPlayer", "", 'Gag Player', 12);
						if ( %targetClient.isFroze ) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ThawPlayer", "", 'Thaw Player', 13);
						else messageClient( %client, 'MsgPlayerPopupItem', "", %key, "FreezePlayer", "", 'Freeze Player', 13);
						messageClient( %client, 'MsgPlayerPopupItem', "", %key, "BootPlayer", "", 'Boot to the Rear', 14);
						messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ExplodePlayer", "", 'Explode Player', 15); }		
				if ( !%isTargetBot ) {
					if( %client.isSuperAdmin ) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "BanPlayer", "", 'Ban', 4 );
					if ( !%isTargetObserver ) messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ToObserver", "", 'Force observer', 5 ); } }
			if ( %isTargetSelf || %outrankTarget ) {
				if ( %game.numTeams > 1 ) {
					if ( %isTargetObserver ) {
						%action = %isTargetSelf ? "Join " : "Change to ";
						%str1 = %action @ getTaggedString( $TeamName[1] );
						%str2 = %action @ getTaggedString( $TeamName[2] );
						messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ChangeTeam", "", %str1, 6 );
						messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ChangeTeam", "", %str2, 7 ); }
					else {
						%changeTo = %targetClient.team == 1 ? 2 : 1;
						%str = "Switch to " @ getTaggedString( $TeamName[%changeTo] );
						%caseId = 5 + %changeTo;
						messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ChangeTeam", "", %str, %caseId ); } }
				else if ( %isTargetObserver ) {
					%str = %isTargetSelf ? 'Join the Game' : 'Add to Game';
					messageClient( %client, 'MsgPlayerPopupItem', "", %key, "JoinGame", "", %str, 8 ); } } } }
	function SADSetPassword(%password, %which) {
		commandToServer('SADSetPassword', %password, %which); } };