//---------------------------------------------------------------------------------------------
// Admin options
//---------------------------------------------------------------------------------------------
//
// Out of Bounds damage
//
// set the option below to 1 to damage players who go out of the mission area, or 0 for base T2 
// functionality
$Mechina::OOBDamage = 1;
//---------------------------------------------------------------------------------------------
//
// Player Voting
//
// Global Voting enable/disable for non admined players
// setting any of the prefs below to 0 will result in a non-admin player not being able to see
// or use the vote option.
//---------------------------------------------------------------------------------------------
$Mechina::ClientCanVoteMission = 1; //allows players to vote to change the mission.
$Mechina::ClientCanVoteTourney = 1; //Allows players to vote to change to and from tournament mode
$Mechina::ClientCanVoteTeamDamage = 1; //allows Players to vote to enable/disable team damage
$Mechina::ClientCanVoteKick = 1;       //allows players to vote to kick another player
//---------------------------------------------------------------------------------------------
//
// Dynamic Player Voting
//
// With these options you can have non admin players only see certain vote options when a Super
// admin is in the game.
//---------------------------------------------------------------------------------------------
$Mechina::CheckForAdminPresent = 1; //This will check to see if a SUPER admin is in the game
//---------------------------------------------------------------------------------------------
//
// In order for any of the options below to work properly, the one above must be set to 1
// these options will disable the specified client vote option ONLY when a SUPER Admin
// is present.  this is the much preffered procedure, as it allows all players to vote
// on all subjects when there is no admin on the server to set it for them.  Also it is highly
// recomended that you set $Host::VotePassPercent = "60"; in serverprefs.cs to allow players to 
// have a chance of a vote passing.
//---------------------------------------------------------------------------------------------
$Mechina::ClientCanVoteMissionWhenAdminPresent = 1; //allows players to vote to change the mission.
$Mechina::ClientCanVoteTourneyWhenAdminPresent = 1; //Allows players to vote to change to and from tournament mode
$Mechina::ClientCanVoteTeamDamageWhenAdminPresent = 1; //allows Players to vote to enable/disable team damage
$Mechina::ClientCanVoteKickWhenAdminPresent = 1;  //allows players to vote to kick another player
//---------------------------------------------------------------------------------------------
// 		Public Admin options
//---------------------------------------------------------------------------------------------
$Mechina::PACanChangeMission = 1;    //allows Public Admin to change the mission.
$Mechina::PACanChangeTourney = 1;    //allows Public Admin to change to and from tournament mode
$Mechina::PACanChangeTeamDamage = 1; //allows Public Admin to enable/disable team damage
$Mechina::PACanKick = 1;             //allows Public Admin to kick a player
$Mechina::PACanAdmin = 1;            //allows Public Admin to give admin to other players
//---------------------------------------------------------------------------------------------
//  		Admin.log, Consol, and chat options.
//---------------------------------------------------------------------------------------------
$Mechina::WriteAdminUseLog = 1; // Creates admin.log in the prefs directory which Holds a record
                                        // of admin command uses.
$Mechina::WriteConnectToAdminLog = 1;   //Writes Client connections/drops, to Admin.log
$Mechina::WriteTeamChatToAdminLog = 1;  // Writes team chat to the admin.log file 
$Mechina::WriteGlobalChatToAdminLog = 1;//Writes Global chat to the admin.log file 
$Mechina::EchoGlobalChatToConsol = 1;   //will print global player messages to the consol
$Mechina::EchoTeamChatToConsol = 1;     // will print player team messages to consol.
$Mechina::AllowTourneyPreGameSpam = 0;  //will prevent players from spamming with canned chat
                                        // before a tourney match starts, if set to 0.
// Now admins can chat to all players from observer, so they do not have to join a team to warn 
// a player.  Also, setting the below option to 1 will allow all players to global chat from 
// observer. 
$Mechina::ClientCanGlobalChat = 1;  // Allows players to global chat while in observer mode
//---------------------------------------------------------------------------------------------
//  Time Stamp
//---------------------------------------------------------------------------------------------
// You must be really dedicated to record keeping if you mess with this very often.
//---------------------------------------------------------------------------------------------
// If you are one of the lucky ones who's hardware that T2 queries will return the time from
// a clock synced with GMT, then you can leave the below at 0000. However, if you find that
// the time stamps are no where near accurate, then all you have to do is remember the time
// when you boot your computer, or do a hard reset.  Convert that time to the 2400 (military)
// format and place in the variable below. Do not add in the colon (:).
// I.E. if you rebooted your computer at 1:35 PM then set it to 1335 (1:35 + 12:00).
$Mechina::TimeAdjust = 0000;
// now there will be a time stamp for logs to admin log, and many echo's to the consol.
// setting the option below to 1 will show the time in the noraml 12 hour am/pm format
// setting to 0 will show time in 24:00 hour format
$Mechina::TimeNormal = 0;
// Set option below to the VALUE of your Time Zone. You must have this set properly to get the
// correct time.
// GMT -5 is Eastern Time US and Canada 
// GMT -6 is Central Time US and Canada 
// GMT -8 is Pacific Time US and Canada Look in windows Date/Time properties if you are not sure.
$Mechina::TimeZone = -6;
$Mechina::DaylightSavings = 1; // set to 1 if Daylight Savings is in effect Spring-Summer-Fall
//---------------------------------------------------------------------------------------------
//
//  Additional Admin Information
//
//---------------------------------------------------------------------------------------------
// You may now add the following pref to your serverprefs.cs file, or simply delete the first
// 2 slash marks from the following line:
// $Host::PubAdminPassword = "xlax";
// This allows the use of a password to attain Public Admin status.  
//
// In addition Spam sad funtions have been included to automatically ban a player who makes more 
// than the number of attempts specified below to enter the admin password.
//---------------------------------------------------------------------------------------------
$Mechina::SpamSadAttempts = 10;
//---------------------------------------------------------------------------------------------
//
//  Additional Game Options
//
//---------------------------------------------------------------------------------------------
//		Mount Message
//---------------------------------------------------------------------------------------------
// if set to 0, it will not bottom print what weapon you are using
// the bottom print for weapons will not show in tourney mode.
$Mechina::MountMsg = 1; 
//---------------------------------------------------------------------------------------------
//  		Motd display during load screen
//---------------------------------------------------------------------------------------------
// This will enable servers to display custom messages on the loading screen
// If you want to completly disable these custom messages, simply comment out all of the lines
// below with // (hash marks).
//
// Main title is where the Game type name is displayed, it is the largest text of the mission
//---------------------------------------------------------------------------------------------
// The line below will display the game type in the title line
$MOTD::MainTitle=$MissionTypeDisplayName;
// comment out the above line, and uncomment the line below to automatically use the name of your 
// server
//$MOTD::MainTitle=$Host::GameName;
//---------------------------------------------------------------------------------------------
// subtitle is below title in normal text. Can be set to smaller text as it is in the line below
//$MOTD::SubTitle="<spush><font:Univers Condensed:18><color:f3ee23>Welcome:<spop>";
$MOTD::SubTitle="<spush><color:f3ee23>Welcome:<spop>";
//---------------------------------------------------------------------------------------------
// As you can see, html color codes can be used in the message lines, but not the main title line
// Also the limit for a line of code is 255 charachters. But for practile use try not to exceed 
// the max line lengths below, or it might be cutoff by the map preview pic.
// Max is 6. set this to the total number of lines of message text you want displayed (0-6)
$MOTD::LoadTextLineCount=6;
//---------------------------------------------------------------------------------------------
// now for the message text. make sure that inside the quotes at the begining and end you have
// "<spush> textMessage <spop>"; as that is the format
$MOTD::LoadTextLine[0]="<spush><color:ff0000>Introducing Mechina 1.0<spop>";
$MOTD::LoadTextLine[1]="6 Armor classes";
$MOTD::LoadTextLine[2]="13 Added weapons.";
$MOTD::LoadTextLine[3]="23 New packs ";
$MOTD::LoadTextLine[4]="Customized beacon system for each armor";
$MOTD::LoadTextLine[5]="New vehicle class, and changeable vehicle weapons";
//---------------------------------------------------------------------------------------------
//
// Game Scoring Options for Mechina 
//
//---------------------------------------------------------------------------------------------
// NOTE!!!  Be very careful editing these, you could ruin the game by setting these values
// too high or too low!!!  I swear if I see people abusing this, it's gone......
//---------------------------------------------------------------------------------------------
//
// 		Game Scoring Options for CTF 
//
//---------------------------------------------------------------------------------------------
// Setting the below to 1 will enable the new scoring system where team points per flag cap
// equals 100, and team points for touching enemy flag equals 1
$Mechina::CTFNewFlagScore = 1;
// if set to zero, the old system of 1 team point per flag cap, and zero team points for flag 
// touch will be used.
//---------------------------------------------------------------------------------------------
// all scores are set to default Mechina numbers
//---------------------------------------------------------------------------------------------
// this option will give players regular game points for kills when set to 1
// When set to 0, it will not award gamepoints but will track the number of kills,
// i.e. with this set to 0, it is possible to have a score of 0 and have 50 kills
$Mechina::GiveGamePointsForKills = 0;
//---------------------------------------------------------------------------------------------
//
// 		Game Scoring Options for Bounty 
//
//---------------------------------------------------------------------------------------------
// negative and zero scores
$Mechina::BNTYPointsPerByStanderKill =-1;
$Mechina::BNTYPointsPerSuicide =-1;
$Mechina::BNTYPointsPerDeath =0;
//-------------------------
$Mechina::BNTYPointsPerTargetKill = 1;
$Mechina::BNTYPointsPerCompletionBonus = 5;
$Mechina::BNTYKillStreakAwardNumber = 3;//award bonus for a winning streak this big or better
$Mechina::BNTYWarnAtNumObjectivesLeft = 2;//display warning when player has only this many or less objectives left
$Mechina::BNTYCheatDeathsAllowed = 1;//number of times a player can die by cntrl-k or die by leaving mission area before being labeled a cheater
//---------------------------------------------------------------------------------------------
//
// 		Game Scoring Options for Capture and Hold
//
//---------------------------------------------------------------------------------------------   
// negative numbers  
$Mechina::CnHPointsPerSuicide = -1;
$Mechina::CnHPointsPerTeamKill = -1;
$Mechina::CnHPointsPerDeath = -1;
// --------------------------------------
$Mechina::CnHPointsPerKill = 1;
$Mechina::CnHPointsPerPlayerCapture = 1;
$Mechina::CnHPointsPerTeamCapture = 1;
$Mechina::CnHPointsPerCaptureHold = 1;
$Mechina::CnHPointsPerTurretKill = 1;
$Mechina::CnHPointsPerCaptureDefend= 1;
//---------------------------------------------------------------------------------------------
//
// 		Game Scoring Options for DeathMatch
//
//---------------------------------------------------------------------------------------------	
$Mechina::DMPointsPerKill = 1;
$Mechina::DMPointsPerDeath = -1;
$Mechina::DMPointsPerSuicide = -1;
//---------------------------------------------------------------------------------------------
//
// 		Game Scoring Options for Flag hunters (non team)
//
//---------------------------------------------------------------------------------------------	
$Mechina::FHPointsPerSuicide = -1; 
$Mechina::FHPointsPerDeath = 0;
$Mechina::FHPointsPerKill = 1;
$Mechina::FHGreedModeMinFlags = 8;   //min number of flags you must have before you can cap
$Mechina::FHHoardStartTime = 5;  //time left in the game at which hoard mode will start
$Mechina::FHHoardDuration = 3;   //duration of the hoard period
$Mechina::FHYardSaleMinFlags = 10; // min number of flags a player must be carrying before his
                                   // death creats a "Yard Sale!"
//---------------------------------------------------------------------------------------------
//
// 		Game Scoring Options for Team Flag hunters 
//
//---------------------------------------------------------------------------------------------	
$Mechina::TFHPointsPer = -1; 
$Mechina::TFHPointsPerTeamKill = -1;
$Mechina::TFHPointsPerDeath = -1;  
$Mechina::TFHPointsPerKill = 1; 
$Mechina::TFHPointsPerTurretKill = 1; 
$Mechina::TFHGreedModeMinFlags = 8;   //min number of flags you must have before you can cap
$Mechina::TFHHoardStartTime = 5;      //time left in the game at which hoard mode will start
$Mechina::TFHHoardDuration = 3;	      //duration of the hoard period
$Mechina::TFHYardSaleMinFlags = 10;   // min number of flags a player must be carrying before his
                                      // death creats a "Yard Sale!"
//---------------------------------------------------------------------------------------------