//
// --- bwadmin 1.04 settings ---
//

// Randomize the teams between map changes in FFA mode?
// 0 = off (default), 1 = on
$bwadmin::RandomTeams = 0;

// Reset voted time limits back to default on map change?
// 0 = off (default), 1 = on
$bwadmin::ResetTimeLimit = 1;

// Force player to spawn in Match Mode after this length of time (in seconds)
// Set to "" to disable
$bwadmin::MatchModeCTFForceRespawnTime = 5;

// Time limit list for Match Mode
// Seperate times in minutes by spaces
// Set to "" to use default list
$bwadmin::MatchModeTimeLimitList = "20 25 30 45 60 120";

//
// --- bwadmin 1.02 settings ---
//

// List of time limits for FFA vote time limit list
// Seperate times in minutes by spaces
// Set to "" to use default list
$bwadmin::TimeLimitList = "30 45 60";

// Stop players from changing from a small to larger team
// 0 = off (default), 1 = on
$bwadmin::NoLlamaTeamSwaps = 1;

// Allow SuperAdmin to add to the admin lists
// 0 = off, 1 = on (default)
$bwadmin::AllowAddToAdminList = 1;

// Allow Admin to change server password
// 0 = off (default), 1 = on
$bwadmin::AllowAdminSetPassword = 1;

// Start up in Match Mode?
// 0 = no (default), 1 = yes
$bwadmin::MatchMode = 0;

// Allow canned chat (chat menu) before match start in Match mode
// 0 = off (default), 1 = on
$bwadmin::MatchModePreGameSpam = 0;

// Rotate to next map when match ends in Match Mode
// 0 = off (default), 1 = on
$bwadmin::MatchModeRotateMaps = 0;

// Use old score system, ie 1 team point per cap in Match Mode
// 0 = off (default), 1 = on
$bwadmin::MatchModeCTFOldScoreSystem = 0;

// Define a score limit for CTF to use instead of map default
// Set to "" to use normal map score limit (default)
// Set to 0 to have no score limit
// Set to a number to use that instead
$bwadmin::MatchModeCTFScoreLimit = "";

// Allow players to ready up in Match Mode
// 0 = off (default), 1 = on
$bwadmin::MatchModePlayerReadyUp = 0;

// Allow players to join a team mid-game in Match Mode
// 0 = off, 1 = on (default)
$bwadmin::MatchModeAllowJoinTeam = 1;

//
// --- bwadmin 1.01 settings ---
//

// Allow Admin to change team info
// 0 = off, 1 = on (default)
$bwadmin::AllowAdminTeamInfo = 1;

// Allow Admin to change mission
// 0 = disabled, 1 = gametype only, 2 = all (default)
$bwadmin::AllowAdminChangeMission = 2;

// Allow Admin to kick/ban players from server
// 0 = off, 1 = kick only (default), 2 = ban only, 3 = kick/ban
$bwadmin::AllowAdminKickBan = 1;

// Allow Admin to change to Tournament/Match/FFA modes
// 0 = off, 1 = on (default)
$bwadmin::AllowAdminTournamentMode = 1;

// Allow Admin to enable/disable Team Damage
// 0 = off, 1 = on (default)
$bwadmin::AllowAdminTeamDamage = 1;

// Allow Admin to change the Time Limit
// 0 = off, 1 = on (default)
$bwadmin::AllowAdminTimeLimit = 1;

// Allow Admin to Reset Server
// 0 = off, 1 = on (default)
$bwadmin::AllowAdminResetServer = 1;

// Allow Admin to Admin players
// 0 = off, 1 = on (default)
$bwadmin::AllowAdminAdmin = 0;

// Allow Admin to center print to all players
// 0 = off, 1 = on (default)
$bwadmin::AllowAdminCenterPrint = 1;

// Allow Admin to add/remove bots
// 0 = off, 1 = on (default)
$bwadmin::AllowAdminAddBots = 1;

// Super Admin password
// players type: sad("pass"); in the console to gain Super Admin
// Set to "" to disable
$bwadmin::SuperAdminPassword = "bwadmin";

// Admin password
// players type: sad("pass"); in the console to gain Admin
// Set to "" to disable
$bwadmin::AdminPassword = "";

// Force admins to use safe mode for safe commands.
// 0 = off (default), 1 = on
$bwadmin::ChatConsoleSafeMode = 0;

// Allow voting of time limit
// 0 = off (default), 1 = on
$bwadmin::AllowPlayerVoteTimeLimit = 1;

// Maximum number of bots to ever have on the server
// Too many bots can be a real CPU killer
$bwadmin::BotsMax = 16;

//
// --- bwadmin 1.0 settings ---
//

// Allow voting of change mission/gametype
// 0 = disabled, 1 = gametype only, 2 = all (default)
$bwadmin::AllowPlayerVoteChangeMission = 1;

// Allow voting of kicking/banning players from server
// 0 = off, 1 = kick only (default), 2 = ban only, 3 = kick/ban
$bwadmin::AllowPlayerVoteKickBan = 1;

// Allow voting of Tournament/Match/FFA Modes
// 0 = off, 1 = on (default)
$bwadmin::AllowPlayerVoteTournamentMode = 1;

// Allow voting for team damage
// 0 = off, 1 = on (default)
$bwadmin::AllowPlayerVoteTeamDamage = 1;

// Allow players to hear observers
// 0 = off (defalt), 1 = admins only, 2 = on
$bwadmin::AllowObserverChat = 2;

// Show player chat in the console
// 0 = off, 1 = on (default)
$bwadmin::ConsoleChat = 1;

// Message of the day
// lines of text seperated by \n
$bwadmin::MOTD = "Welcome to a bwadmin server!\nAdmin: bwadmin\nE-Mail: bwadmin@barrysworld.com";

// Number of lines in MOTD
// 3 for above example, max is 3
$bwadmin::MOTDLines = 3;

// Custom map rotation file
// set to "" to use normal Tribes 2 map rotation
// See the custom map rotation file for more details
$bwadmin::MapRotationFile = "bwadminMapRotation.cs";

// Rotate through all maps instead of just the ones of the current type
// This option only works if using a custom map rotation
// 0 = current type only (default), 1 = all maps
$bwadmin::RotateAllMaps = 0;

//
// --- Team Info ---
//

// Names
$Host::teamName[0] = "Unassigned";
$Host::teamName[1] = "Barry";
$Host::teamName[2] = "Gloria";
$Host::teamName[3] = "Neville";
$Host::teamName[4] = "Julie";
$Host::teamName[5] = "Lazlo";
$Host::teamName[6] = "Anna";

// Skins
$Host::teamSkin[0] = "blank";
$Host::teamSkin[1] = "base";
$Host::teamSkin[2] = "baseb";
$Host::teamSkin[3] = "swolf";
$Host::teamSkin[4] = "dsword";
$Host::teamSkin[5] = "beagle";
$Host::teamSkin[6] = "cotp";

// Holos - used in CnH
$Host::holoName[0] = "";
$Host::holoName[1] = "Storm";
$Host::holoName[2] = "Inferno";
$Host::holoName[3] = "Starwolf";
$Host::holoName[4] = "DSword";
$Host::holoName[5] = "BloodEagle";
$Host::holoName[6] = "Harbinger";

//
// --- Tribes 2 server settings ---
//

// Name of the server
$Host::GameName = "bwadmin Tribes 2 Server";

// Server info, displayed in the in-game server browser
$Host::Info = "This is a Tribes 2 Server running bwadmin.";

// Server password, players have to enter this to get on the server
// Set to "" to disable
$Host::Password = "";

// Is server dedicated?
// 0 = off, 1 = on
$Host::Dedicated = 1;

// Port the server uses
$Host::Port = 28000;

// Number of players the server allows
$Host::MaxPlayers = 32;

// Map to load at start
$Host::Map = "Katabatic";

// Game type server starts up for
$Host::MissionType = "CTF";

// Display server on master
// Set to "Always" or "Never"
$pref::Net::DisplayOnMaster = "Always";

// Servers physical location
// 1  = North America East
// 2  = North America West
// 4  = South America
// 8  = Australia
// 16 = Asia
// 32 = Europe
$pref::Net::RegionMask = 32;

// All players that will be automatically an Admin upon joining server
// Seperate WonID's by \t eg "1234\t4321\t456321"
$Host::AdminList = "";

// All players that will be automatically a SuperAdmin upon joining server
// Seperate WonID's by \t eg "1234\t4321\t456321"
$Host::SuperAdminList = "";

// Allow players to vote for an admin
$Host::allowAdminPlayerVotes = 0;

// Set to an ip address if the server wants to specify which NIC/IP to use
$Host::BindAddress = "";

// Are aliased players (aka Smurfs) allowed on the server?
// 0 = off, 1 = on
$Host::NoSmurfs = 0;

// Length of time a player is banned for (in seconds)
$Host::BanTime = 1800;

// Length of time players are banned for when kicked (in seconds)
$Host::KickBanTime = 300;

// Is player chat flood protection enabled?
// 0 = off, 1 = on
$Host::FloodProtectionEnabled = 1;

// Max length of text messages
$Host::MaxMessageLen = 120;

// Length of time players can idle before being switched to observer (in
// seconds)
$Host::PlayerRespawnTimeout = 60;

// Match time limit (in minutes)
$Host::TimeLimit = 30;

// Does server start up in Tournament Mode?
// 0 = Free For All, 1 = Tournament Mode
$Host::TournamentMode = 0;

// Does server start up with team damage on?
// 0 = off (default), 1 = on
$Host::TeamDamageOn = 1;

// Percentage of total votes required for vote to pass
$Host::VotePassPercent = 60;

// Length of time the vote lasts for (in seconds)
$Host::VoteTime = 20;

// Min length of time between votes (in seconds)
// Used to stop vote spamming
$Host::VoteSpread = 20;

// Length of time before match starts in FFA mode (in seconds)
$Host::warmupTime = 20;

// Display extra messages in console, joins, kills, admin commands etc
$logechoenabled=1;

// Bot's enabled?
// 0 = off, 1 = on
$Host::BotsEnabled = 1;

// Number of bots to start up with
$Host::BotCount = 0;

// Min/max bot difficulty
// 0 = least difficult, 1 = most difficult
$Host::MaxBotDifficulty = 0.75;
$Host::MinBotDifficulty = 0.5;

