//--------------------------------------------------------------------------
// Laser2
// 
// 
//--------------------------------------------------------------------------

datablock EffectProfile(Laser2SwitchEffect)
{
   effectname = "weapons/sniper_activate";
   minDistance = 2.5;
};

datablock EffectProfile(Laser2FireEffect)
{
   effectname = "weapons/cg_metal3";
   minDistance = 4.0;
};

datablock EffectProfile(Laser2FireWetEffect)
{
   effectname = "weapons/sniper_underwater";
   minDistance = 4.0;
};

datablock AudioProfile(Laser2SwitchSound)
{
   filename    = "fx/weapons/sniper_activate.wav";
   description = AudioClosest3d;
   preload = true;
   effect = Laser2SwitchEffect;
};

datablock AudioProfile(Laser2FireSound)
{
   filename    = "fx/weapons/cg_metal3.wav";
   description = AudioClose3d;
   preload = true;
   effect = Laser2FireEffect;
};

datablock AudioProfile(Laser2FireWetSound)
{
   filename    = "fx/weapons/sniper_underwater.wav";
   description = AudioClose3d;
   preload = true;
   effect = Laser2FireWetEffect;
};

datablock AudioProfile(Laser2DryFireSound)
{
   filename    = "fx/weapons/chaingun_dryfire.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(Laser2ProjectileSound)
{
   filename    = "fx/weapons/sniper_miss.wav";
   description = AudioClose3d;
   preload = true;
};



//--------------------------------------
// Projectile
//--------------------------------------
datablock SniperProjectileData(BasicSniperShot2)
{
   directDamage        = 0.4;
   hasDamageRadius     = false;
   indirectDamage      = 0.0;
   damageRadius        = 0.0;
   velInheritFactor    = 0.0;
   sound	       = Laser2ProjectileSound;
   explosion           = "SniperExplosion";
   splash              = SniperSplash;
   directDamageType    = $DamageType::Laser;

   maxRifleRange       = 500;
   rifleHeadMultiplier = 1.3;
   beamColor           = "1 0.1 0.1";
   fadeTime            = 0.1;

   startBeamWidth      = 0.145;
   endBeamWidth	       = 0.25;
   pulseBeamWidth      = 0.5;
   beamFlareAngle      = 3.0;
   minFlareSize        = 0.0;
   maxFlareSize        = 400.0;
   pulseSpeed          = 6.0;
   pulseLength         = 0.150;

   lightRadius         = 1.0;
   lightColor          = "0.3 0.0 0.0";

   textureName[0]      = "special/flare";
   textureName[1]      = "special/nonlingradient";
   textureName[2]      = "special/laserrip01";
   textureName[3]      = "special/laserrip02";
   textureName[4]      = "special/laserrip03";
   textureName[5]      = "special/laserrip04";
   textureName[6]      = "special/laserrip05";
   textureName[7]      = "special/laserrip06";
   textureName[8]      = "special/laserrip07";
   textureName[9]      = "special/laserrip08";
   textureName[10]     = "special/laserrip09";
   textureName[11]     = "special/sniper00";

};


//--------------------------------------
// Rifle and item...
//--------------------------------------
datablock ItemData(Laser2)
{
   className    = Weapon;
   catagory     = "Spawn Items";
   shapeFile    = "weapon_targeting.dts";
   image        = Laser2Image;
   mass         = 1;
   elasticity   = 0.2;
   friction     = 0.6;
   pickupRadius = 2;
	pickUpName = "a class 2 Laser";

   computeCRC = true;

};

datablock ShapeBaseImageData(Laser2Image)
{
	className = WeaponImage;
   shapeFile = "weapon_targeting.dts";
   item = Laser2;
   projectile = BasicSniperShot2;
   projectileType = SniperProjectile;
	armThread = looksn;

	usesEnergy = true;
	minEnergy = 2;

   stateName[0]                     = "Activate";
   stateTransitionOnTimeout[0]      = "ActivateReady";
   stateSound[0]                    = Laser2SwitchSound;
   stateTimeoutValue[0]             = 1.0;
   stateSequence[0]                 = "Activate";

   stateName[1]                     = "ActivateReady";
   stateTransitionOnLoaded[1]       = "Ready";
   stateTransitionOnNoAmmo[1]       = "NoAmmo";

   stateName[2]                     = "Ready";
   stateTransitionOnNoAmmo[2]       = "NoAmmo";
   stateTransitionOnTriggerDown[2]  = "CheckWet";

   stateName[3]                     = "Fire";
   stateTransitionOnTimeout[3]      = "Reload";
   stateTimeoutValue[3]             = 1.0;
   stateFire[3]                     = true;
   stateAllowImageChange[3]         = false;
   stateSequence[3]                 = "Fire";
   stateScript[3]                   = "onFire";

   stateName[4]                     = "Reload";
   stateTransitionOnTimeout[4]      = "Ready";
   stateTimeoutValue[4]             = 1.0;
   stateAllowImageChange[4]         = false;

   stateName[5]                     = "CheckWet";
   stateTransitionOnWet[5]          = "Fire";
   stateTransitionOnNotWet[5]       = "Fire";
   
   stateName[6]                     = "NoAmmo";
   stateTransitionOnAmmo[6]         = "Reload";
   stateTransitionOnTriggerDown[6]  = "DryFire";
   stateSequence[6]                 = "NoAmmo";
   
   stateName[7]                     = "DryFire";
   stateSound[7]                    = Laser2DryFireSound;
   stateTimeoutValue[7]             = 1.0;
   stateTransitionOnTimeout[7]      = "Ready";
};

