//=====================================================================================
//	TAC2 - Page Code - ThrusterPack							Wizard_TPG - 12/4/2001
//
//	This code includes:
//					Thruster Pack Declaration and Code
//					Alteration of inventory station to add thruster pack
//					Alteration of inventory station to remove aa barrel
//
//=====================================================================================

datablock AudioProfile(ThrustPackErrorExplosion)
{
   filename    = "fx/weapons/TAC_Tpack_error_explosion.wav";
   description = AudioBIGExplosion3d;
   preload = true;
};

datablock AudioProfile(ThrustPackLaunchBuildup)
{
   filename    = "fx/weapons/TAC_Tpack_launch.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(ThrustPackError)
{
   filename    = "fx/weapons/TAC_Tpack_launch_error.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock LinearProjectileData(ThrusterPackFinal)
{
	projectileShapeName = "pack_upgrade_booster.dts";
	hasDamageRadius     = true;
	indirectDamage      = 0.40;
	damageRadius        = 10;
	radiusDamageType    = $DamageType::Explosion;
	kickBackStrength    = 1750;

	explosion           = "GrenadeExplosion";
	underwaterExplosion = "UnderwaterGrenadeExplosion";
	splash              = DiscSplash;

	baseEmitter         = MissileSmokeEmitter;
	delayEmitter        = MissileFireEmitter;
	puffEmitter         = MissilePuffEmitter;
	bubbleEmitter       = GrenadeBubbleEmitter;
	bubbleEmitTime      = 1.0;

	exhaustEmitter      = MissileLauncherExhaustEmitter;
	exhaustTimeMs       = 300;
	exhaustNodeName     = "muzzlePoint1";

	lifetimeMS          = 1500;
	muzzleVelocity      = 400;
	maxVelocity         = 700;
	acceleration        = 100;

	sound = ScoutFlyerThrustSound;

	velInheritFactor  = 1.0;
	explodeOnDeath    = true;

	hasLight    = true;
	lightRadius = 12.0;
	lightColor  = "0.175 0.175 0.5";
	computeCRC = false;
};

datablock ExplosionData(ThrusterPackMisfireExplosion)
{
   soundProfile   = ThrustPackErrorExplosion;

   subExplosion[0] = SatchelSubExplosion;
   subExplosion[1] = SatchelSubExplosion2;
   subExplosion[2] = SatchelSubExplosion3;
};

datablock ItemData(ThrusterPackMisfire)
{
   	className = Weapon;
   	shapeFile = "turret_muzzlepoint.dts";
   	explosion = ThrusterPackMisfireExplosion;
	underwaterExplosion = ThrusterPackMisfireExplosion;
	mass = 0.7;
	elasticity = 0.2;
   	friction = 1;
   	pickupRadius = 2;
   	maxDamage = 2.0;
   	indirectDamage      = 2.0;
   	damageRadius        = 30.0;
   	radiusDamageType    = $DamageType::Explosion;
   	kickBackStrength    = 10000;
   	computeCRC = false;
};

datablock ShapeBaseImageData(ThrusterPackImage)
{
	shapeFile = "pack_upgrade_booster.dts";
	item = ThrusterPack;
	mountPoint = 1;
	offset = "0 0 0";
	emap = true;
	tpackuse = false;
};

datablock ItemData(ThrusterPack)
{
	className = Pack;
	catagory = "Packs";
	image = ThrusterPackImage;
	shapeFile = "pack_upgrade_booster.dts";
	mass = 1;
	elasticity = 0.2;
	friction = 0.6;
	pickupRadius = 2;
	rotate = true;
	pickUpName = "a thruster pack";
	computeCRC = true;
	tpackuse = false;
};


function ThrusterPackImage::onMount(%data, %obj, %node)
{
}

function ThrusterPackImage::onUnmount(%data, %obj, %node)
{
}

function ThrusterPack::onPickup(%this, %obj, %shape, %amount)
{
	// created to prevent console errors
}

function ThrusterPack::onUse(%this, %obj)
{
	if(%this.tpackuse)
		return;
	else
		%this.tpackuse = true;

	%obj.tpackuse = true;

	//deploy wings??
	%obj.playThread(0, "activate");
	%obj.playaudio(1,ThrustPackLaunchBuildup);

	%this.schedule(1000,"onUseTwo", %obj);
}

function ThrusterPack::onUseTwo(%this, %obj)
{
	%testvalue = mFloor(getRandom() * 100) + 1;
	if(%testvalue > 92)
	{
		%obj.playaudio(0,ThrustPackError);
		%this.schedule(1000,"onThrustError",%obj);
	}
	else
	{
		%this.schedule(100,"onThrust",%obj);
	}
}

function ThrusterPack::getThrustLoc(%this, %obj)
{
	%pos = %obj.getTransform();
	for(%loc = 0;%loc<3;%loc++)
	{
		%locdata[%loc] = getword(%pos,%loc);
		if(%loc == 2)
			%locdata[%loc] += 4;

		if(%loc == 0)
			%outputloc = %locdata[%loc];
		else
			%outputloc = %outputloc @ " " @ %locdata[%loc];
	}
	return %outputloc;
}

function ThrusterPack::ChangeArmours(%this, %obj, %thrusterpack)
{
	%client = %obj.client;
	%armoursize = %obj.getArmorSize();
	if(%thrusterpack)
		%armourtype = "TPack";
	else
		%armourtype = "";
	if (%client.race $= "Bioderm")
		%armor = %armoursize @ %armourtype;
	else
		%armor = %armoursize @ %armourtype;
	%obj.setArmor( %armor );
	return %obj;
}

function ThrusterPack::onThrust(%this, %obj)
{
	//set player data
	if(!isObject(%obj))
	{
		%this.tpackuse = false;
		return;
	}
	if (%obj.getState() $= "Dead")
	{
	  	%this.tpackuse = false;
	  	return;
	}
	%client = %obj.client;

	if(%obj.isjetting)
	{
		%this.tpackuse = false;
		%obj.tpackuse = false;
		messageClient( %client, 'MsgCantUsePack', '\c2Thrust Overload - Ignition Aborted.~wfx/misc/misc.error.wav' );
		return;
	}

	%player = %this.ChangeArmours(%obj, true);
   	commandToClient(%client, 'getThrusterPackMap', %client, %obj.isjetting);
	MissionCleanup.add(%p);
	%this.schedule(5000,"ThrusterEject", %player);
}


function ThrusterPack::onThrustError(%this, %obj)
{
	%this.tpackuse = false;
	//remove pack
   	%image = %obj.getMountedImage($BackpackSlot);
   	%obj.decInventory(%image.item,1);
   	%obj.client.setBackpackHudItem(%image.item, 0);
   	%obj.unmountImage($BackpackSlot);

	//Boom - something screwed up - LOL!
	%obj.setInvincible(false);
	%outputloc = %this.getThrustLoc(%obj);
	%thrownItem = new Item()
	{
		dataBlock = ThrusterPackMisfire;
		sourceObject = %obj;
	};
	MissionCleanup.add(%thrownItem);

	%thrownItem.sourceObject = %obj;
	%thrownItem.setTransform(%outputloc);
	%thrownItem.setCollisionTimeout(%obj);

	%obj.tpackuse = false;
	%obj.damage(0, %obj.getPosition(), 10000, $DamageType::Explosion);
	%obj.blowup();
	schedule(150, %thrownItem, "detonateGrenade", %thrownItem);
}

function ThrusterPack::ThrusterEject(%this, %obj)
{
	%this.tpackuse = false;
	commandToClient(%obj.client, 'fixThrusterPackMap', %obj.client, %obj.isjetting);

	if(!isObject(%obj))
		return;
	if (%obj.getState() $= "Dead")
	  	return;
	%client = %obj.client;
	%obj.tpackuse = false;
	%player = %this.ChangeArmours(%obj, false);
	%player.setEnergyLevel(%player.getDataBlock().maxEnergy);

	//remove pack
   	%image = %player.getMountedImage($BackpackSlot);
   	%player.decInventory(%image.item,1);
   	%player.client.setBackpackHudItem(%image.item, 0);
   	%player.unmountImage($BackpackSlot);

	//spawn exploding pack
	%outputloc = %this.getThrustLoc(%player);
	%p = new (LinearProjectile)()
	{
		dataBlock        = ThrusterPackFinal;
		initialDirection = "0 0 300";
		initialPosition  = %outputloc;
		sourceObject     = %player;
		sourceSlot       = 1;
	};
}

$InvPack[17] = "Thruster Pack";
$NameToInv["Thruster Pack"] = "ThrusterPack";
